# norootforbuild
# Packmangroup: Multimedia
# Packmanpackagename: mpeg4ip
# Packman: Henne Vogelsang
# Packmandepends: mad a52dec xvid lame x264

Name: 		mpeg4ip
Version: 	1.6.1
Release:	2.21
Summary: 	Set of linux video stream processing utilities
License: 	MPL
Group: 		Productivity/Multimedia/Other
Url: 		http://www.mpeg4ip.net

Source:		mpeg4ip-%{version}.tar.bz2

Patch0:		%{name}-link.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-configure.patch
Patch4:		%{name}-audio_l16.cpp-typo.patch
Patch5:		%{name}-ffmpeg.patch
Patch6:		%{name}-gcc44.patch
Patch7:		%{name}-ambiguous.patch.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
Requires:       libmp4v2 = %{version}-%{release}
BuildRequires:  a52dec
BuildRequires:  liba52-devel
BuildRequires:  esound-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  id3lib-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libmad-devel
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
%if %suse_version > 1110
BuildRequires:  libSDL-devel
%else
BuildRequires:  SDL-devel
%endif
BuildRequires:  nasm
BuildRequires:  pkgconfig
#BuildRequires: -post-build-checks

%description
The MPEG4IP project provides a standarts-based system
for encoding, streaming and playing encoded auido and video.
This package contains libraries of the MPEG4IP project.

%package -n libmp4v2
Group:        System/Libraries
Summary:      MPEG4v2 library

%description -n libmp4v2
The MPEG4IP project provides a standarts-based system
for encoding, streaming and playing encoded auido and video.
This package contains libraries of the MPEG4IP project.

MPEG4v2 library

%package -n libmp4v2-devel
Group:        Development/Libraries/C and C++
Summary:      Files needed for development with libmp4v2
Requires:     libmp4v2 = %{version}-%{release}
Requires:     glibc-devel
%if %suse_version > 1110
Requires:     libSDL-devel
%else
Requires:     SDL-devel
%endif
Requires:     xorg-x11-libX11-devel
Requires:     xorg-x11-libXext-devel

%description -n libmp4v2-devel
The MPEG4IP project provides a standarts-based system
for encoding, streaming and playing encoded auido and video.
This package contains libraries of the MPEG4IP project.

Files needed for development with libmp4v2

%prep
%setup -q
### fix me! ###
%if %suse_version >= 1110 
%patch0 -p1 -F2
%else
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

# causes build loops, just overwrite it and always say yes
# rpmbuild takes care of having a sufficiently recent nasm package
echo -e "#!/bin/sh\necho yes\nexit 0" > util/testnasm.sh
%__chmod 755 util/testnasm.sh

%build
cd lib/SDLAudio
%{__libtoolize}
%{__aclocal}
%{__autoconf}
touch NEWS
touch AUTHORS
touch ChangeLog
%{__automake} --add-missing
%{__automake}
cd ../..
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
touch NEWS
touch AUTHORS
touch ChangeLog
%{__automake} --add-missing
%{__automake}
install -d config
touch bootstrapped
%{configure} --disable-player 

%{__make} \
	CCAS="%{__cc}"

%install
cd lib/mp4v2
%{makeinstall}
cd ../..
%{makeinstall}
%if %suse_version > 1110
%{__rm} -f  %{buildroot}%{_libdir}/*.la
%endif

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n libmp4v2 -p/sbin/ldconfig
%postun -n libmp4v2 -p/sbin/ldconfig

%files
%defattr(-, root, root)
# utilitys
%{_bindir}/mp4creator
%{_bindir}/mp4info
%{_bindir}/mp4dump
%{_bindir}/mp4trackdump
%{_bindir}/mp4tags
%{_bindir}/mp4art
%{_bindir}/mp4videoinfo
# encoding tools
%{_bindir}/lboxcrop
%{_bindir}/rgb2yuv
%{_bindir}/avi2raw
# debugging tools
%{_bindir}/avidump
%{_bindir}/mpeg4vol
%{_bindir}/mpeg2video_parse
%{_bindir}/h264_parse
%{_bindir}/mpeg2t_dump
# unknown
%{_bindir}/mp4extract
%{_bindir}/mpeg_ps_extract
%{_bindir}/mpeg_ps_info
# server
%{_bindir}/mp4live
%{_mandir}/man1/*

%files -n libmp4v2
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n libmp4v2-devel
%defattr(-, root, root)
%{_mandir}/man3/*
%{_mandir}/manm
%{_libdir}/*.*a
%{_bindir}/mpeg4ip-config
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Sep 19 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.6.1-1.pm.0
- update to 1.6.1
- fixed build on openSUSE 11.2
* Sat Dec 29 2007 - Detlef Reichelt <detlef@links2linux.de>
- rebuild against x264 r57
* Mon Jul 31 2006 - Leon Freitag <leon@links2linux.de>
- rebuild against x264 r48
* Fri Apr 28 2006 - Leon Freitag <leon@links2linux.de>
- bump the release version to distinguish recompiles against new x264 versions
* Tue Mar 21 2006 - Henne Vogelsang <henne@links2linux.de>
- enable ffmpeg, x264 and faac encoder
- enable gmp4player
* Mon Mar 20 2006 - Henne Vogelsang <henne@links2linux.de>
- initial packman release, version 1.4.1
